package com.usky.hik.controller.web;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.hik.domain.HikThrow;
import com.usky.hik.mapper.HikThrowMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.util.Date;

@RestController
@RequestMapping("/sqliteDB")
public class HikThrowController {

    @Autowired
    private HikThrowMapper throwMapper;

    /** 增添数据 */
    @PostMapping("/insert")
    public Object insert(String skyThrowData,String alarmResponse) {
        HikThrow hikThrow = new HikThrow();

        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        hikThrow.setDataTime(simpleDateFormat.format(new Date()));
        hikThrow.setSkyThrowData(skyThrowData);
        hikThrow.setAlarmResponse(alarmResponse);
        return throwMapper.insert(hikThrow);
    }
    /** 查询数据 */
    @GetMapping("/show")
    public Object show() {
        LambdaQueryWrapper<HikThrow> queryWrapper = Wrappers.lambdaQuery();
        return throwMapper.selectList(queryWrapper);
    }
    /** 删除数据 */
    @DeleteMapping("/delete")
    public Object delete(Integer id) {
        return throwMapper.deleteById(id);
    }
    /** 修改数据 */
    @PutMapping("update")
    public Object update(Integer id, String skyThrowData) {
        HikThrow hikThrow = new HikThrow();
        hikThrow.setId(id);
        hikThrow.setSkyThrowData(skyThrowData);
        return throwMapper.updateById(hikThrow);
    }
}
