package com.usky.demo.controller.web;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/**
 * @Author :
 * @CreateTime : 2024/2/29
 * @Description :
 **/
@RestController
@RequestMapping("/sendMessage")
public class SendMessageController {

    @Autowired
    RabbitTemplate rabbitTemplate;  //使用RabbitTemplate,这提供了接收/发送等等方法

    /**
     * rabbitmq消息生产者测试接口
     * @return
     */
    @GetMapping("/sendDirectMessage")
    public String sendDirectMessage() {
        String messageId = String.valueOf(UUID.randomUUID());
        String messageData = "{\n" +
                "    \"metrics\":{  \n" +
                "        \"signal\":1000,\n" +
                "        \"battery\":77,\n" +
                "      \"f1\":-144\n" +
                "    },\n" +
                "    \"tags\":{\n" +
                "        \"conn_type\":\"\",\n" +
                "        \"type\":\"\"   \n" +
                "    },\n" +
                "    \"device_id\":\"1000001\",\n" +
                "    \"device_code\":\"\",\n" +
                "    \"product_id\":\"21_123\",\n" +
                "    \"timestamp\":1680233755,  \n" +
                "    \"device_type\":  \"501-vd\" \n" +
                "}";
        String createTime = LocalDateTime.now().format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
        Map<String,Object> map=new HashMap<>();
        map.put("messageId",messageId);
        map.put("messageData",messageData);
        map.put("createTime",createTime);
        //将消息携带绑定键值：TestDirectRouting 发送到交换机TestDirectExchange
        rabbitTemplate.convertAndSend("test.direct", "jame", map);
        return "ok";
    }


}